# Uses of Class
javax.help.WindowPresentation

Packages that use WindowPresentation
Package
Description
javax.help
Supports presentation of online documentation with both content and contextual views of this information.

## Uses of WindowPresentation in javax.help

Subclasses of WindowPresentation in javax.help
Modifier and Type
Class
Description
`class`
`MainWindow`
MainWindow is a class that will create a single main help window for an application.
`class`
`SecondaryWindow`
MainWindowPresentation is a class that will create a single main help window for an application.
Methods in javax.help that return WindowPresentation
Modifier and Type
Method
Description
`WindowPresentation`
DefaultHelpBroker.`getWindowPresentation()`
Get the WindowPresentation for this HelpBroker